Permalink
Browse files

Merging darkshadow2's changes for libcrypto -> CDSA

  • Loading branch information...
2 parents aeeae26 + 78e24a6 commit ec4ebbdcfb5cd5f61aac85040cbd9eb8bf22b169 @andymatuschak andymatuschak committed Nov 10, 2011
Showing with 326 additions and 143 deletions.
  1. +0 −1 Configurations/ConfigFramework.xcconfig
  2. +326 −142 SUDSAVerifier.m
@@ -5,7 +5,6 @@ DYLIB_COMPATIBILITY_VERSION = 1.5
DYLIB_CURRENT_VERSION = 1.5
PRODUCT_NAME = Sparkle
WRAPPER_EXTENSION = framework
-OTHER_LDFLAGS = -lcrypto
@triplef

triplef Nov 11, 2011

It looks like the Xcode project still references libcrypto in the Frameworks folder, and at least Xcode 4.2 still links against libcrypto for me despite this change. Removing libcrypto from the project lets it run on 10.5 again.

@andymatuschak

andymatuschak Nov 12, 2011

Contributor

Indeed! Fixed in f20c121.

FRAMEWORK_VERSION = A
INFOPLIST_FILE = Info.plist
GCC_PREFIX_HEADER = Sparkle.pch
Oops, something went wrong.

0 comments on commit ec4ebbd

Please sign in to comment.